<?php

/*********************************************************************

 スケジュールレスポンス数表示プラグイン（schedule/default用） | 設定ファイル (2015/09/11)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_display_scheduleres_count()
{
	global $freo;

	if (!$freo->smarty->get_template_vars('plugin_schedules')) {
		return;
	}

	//スケジュールID取得
	$plugin_schedule_keys = array_keys($freo->smarty->get_template_vars('plugin_schedules'));

	//データ初期化
	$response_counts = array();
	foreach ($plugin_schedule_keys as $plugin_schedule) {
		$response_counts[$plugin_schedule] = 1;
	}

	//スケジュールごとのレスポンス数取得
	$stmt = $freo->pdo->query('SELECT schedule_id, COUNT(*) FROM ' . FREO_DATABASE_PREFIX . 'plugin_schedulereses WHERE schedule_id IN(' . implode(',', $plugin_schedule_keys) . ') GROUP BY schedule_id');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	while ($data = $stmt->fetch(PDO::FETCH_NUM)) {
		$response_counts[$data[0]] = 1 + $data[1];
	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_scheduleres_counts' => $response_counts
	));

	return;
}

?>
